Page MenuHomePhabricator

Filter messages with high X-Spam-Score on the mailing lists which don't already, like wikipedia-l
Closed, ResolvedPublic

Description

I'm seeing various messages with X-Spam-Score above 10 or even 12 being delivered from mailing lists:

1Date: Wed, 22 Mar 2017 12:32:12 +0800
2Message-ID: <1734573761.20170322073212@gmx.net>
3Content-Language: en-us
4MIME-Version: 1.0
5X-Content-Filtered-By: Mailman/MimeDel 2.1.18
6Subject: [Wikipedia-l] =?utf-8?q?that=27s_interesting?=
7[...]
8X-Spam-Score: 10.4 (++++++++++)
9X-Spam-Report: Spam detection software, running on the system "fermium.wikimedia.org",
10 has identified this incoming email as possible spam. The original
11 message has been attached to this so you can view it or label
12 similar future email. If you have any questions, see
13 the administrator of that system for details.
14
15 Content preview: Hey friend, Here are some interesting facts you may be interested
16 in, I think this information could be helpful, read it here http://full.north-shore-pest-control.com/7a7b
17 My best to you, alex.here [...]
18
19 Content analysis details: (10.4 points, 4.0 required)
20
21 pts rule name description
22 ---- ---------------------- --------------------------------------------------
23 1.7 URIBL_BLACK Contains an URL listed in the URIBL blacklist
24 [URIs: north-shore-pest-control.com]
25 3.6 RCVD_IN_PBL RBL: Received via a relay in Spamhaus PBL
26 [14.187.125.101 listed in zen.spamhaus.org]
27 0.7 RCVD_IN_XBL RBL: Received via a relay in Spamhaus XBL
28 1.6 RCVD_IN_BRBL_LASTEXT RBL: No description available.
29 [14.187.125.101 listed in bb.barracudacentral.org]
30 1.5 RCVD_IN_SORBS_WEB RBL: SORBS: sender is an abusable web server
31 [14.187.125.101 listed in dnsbl.sorbs.net]
32 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
33 (alex.here[at]gmx.net)
34 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS

I normally point admins to https://wikitech.wikimedia.org/wiki/Mailman#Spam_scores and they act quickly, but https://lists.wikimedia.org/mailman/listinfo/wikipedia-l has no active admin. Can a mailman admin update the rules for wikipedia-l please?

Details

Related Gerrit Patches:

Event Timeline

Nemo_bis created this task.Mar 22 2017, 8:55 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 22 2017, 8:55 AM
Nemo_bis reopened this task as Open.Apr 5 2017, 9:27 AM

I have no idea why this was closed, but https://lists.wikimedia.org/mailman/listinfo/wikipedia-l still needs action.

Nemo_bis renamed this task from Filter messages with high X-Spam-Score on some mailing lists to Filter messages with high X-Spam-Score on some mailing lists like wikipedia-l.Apr 5 2017, 7:23 PM
Nemo_bis triaged this task as Medium priority.

If necessary, for wikipedia-l, I can offer to be an admin.

Again: https://lists.wikimedia.org/pipermail/wikipedia-l/2017-April/031802.html

I would like the mailman admins to propose a viable process to get at least the biggest lists fixed. I don't fancy the idea of opening dozens of calls for list owners.

wikispecies-l also needs action (owner already contacted with no response). https://lists.wikimedia.org/pipermail/wikispecies-l/2017-May/thread.html

revi added a subscriber: revi.May 3 2017, 7:33 AM

Current proposed patch: https://gerrit.wikimedia.org/r/#/c/350429/ (to use DEFAULT_BOUNCE_MATCHING_HEADERS in the global mailman configuration).

Nemo_bis renamed this task from Filter messages with high X-Spam-Score on some mailing lists like wikipedia-l to Filter messages with high X-Spam-Score on the mailing lists which don't already, like wikipedia-l.May 3 2017, 7:40 AM
jayvdb added a subscriber: jayvdb.May 3 2017, 8:13 AM
Fae added a subscriber: Fae.May 3 2017, 8:37 AM
Deskana removed a subscriber: Deskana.May 3 2017, 2:19 PM
Gestrid added a subscriber: Gestrid.May 6 2017, 2:22 PM
herron added a subscriber: herron.Jun 6 2017, 9:04 PM

Change 350429 merged by Herron:
[operations/puppet@production] Make mailman filter messages with high X-Spam-Score by default

https://gerrit.wikimedia.org/r/350429

Hi @Nemo_bis a quick update -- https://gerrit.wikimedia.org/r/#/c/350429/ was merged this morning. Thanks for the patch!

KTC added a subscriber: KTC.Jul 14 2017, 3:54 PM
herron closed this task as Resolved.Jul 31 2017, 2:18 PM